
Summary: Sound player for the Enlightenment window-manager.
Name: eMusic
Version: DR0.9
Release: alt2
Serial: 1
Copyright: GPL
Group: Sound
BuildRequires: XFree86-devel imlib-devel audiofile-devel esound-devel libjpeg-devel libpng-devel libtiff-devel libungif-devel zlib-devel
Url: http://www.icom.net/~smelecat/emp3/
Source: eMusic-%{PACKAGE_VERSION}.tar.bz2
Patch0: eMusic-gcc295.patch.bz2
Patch1: eMusic-bigendian-fix.patch.bz2

%description
Plays MP3, MOD (and friends), WAV, AU, and CD files...
Streaming over HTTP/SHOUTcast for mp3, au, and wav files...
Neat, easy to use plugin architecture...
Eats CPU cycles with funky eye candy =)
Converts winamp (limited support for the new 2.0 format) skins to eMusic themes.
Limited support for Gqmpeg themes, no playlist editor in converted themes.
Other stuff.. play with it to find out.

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
#libtoolize --force
%configure
%make_build

%clean

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%install
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README
%{_datadir}/eMusic/MAIN 
%{_datadir}/eMusic/MAIN.analysis 
%{_datadir}/eMusic/MAIN.players

%{_datadir}/eMusic/DEFAULT
%{_datadir}/eMusic/winamp-base/
%{_bindir}/emusic

%{_libdir}/eMusic/*.so.*
%{_libdir}/eMusic/*.la

%changelog
* Mon Oct 28 2002 AEN <aen@altlinux.ru> 1:DR0.9-alt2
- rebuilt with gcc-3.2

* Thu Oct 11 2001 AEN <aen@logic.ru> DR0.9-alt1
- Serial 1
- rebuild with libpng.so.3

* Sat Jan 13 2001 AEN <aen@logic.ru>
- RE  adaptation
* Tue Nov 28 2000 dam's <damien@mandrakesoft.com> DR0.9-9mdk
- new lib policy.

* Mon Nov  6 2000 dam's <damien@mandrakesoft.com> DR0.9-8mdk
- macrozification.
- split in 2 packages, eMusic and eMusic-devel

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> DR0.9-7mdk
- automatically added BuildRequires

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> DR0.9-6mdk
- libtoolize

* Tue Apr 18 2000 Daouda Lo <daouda@mandrakesoft.com> DRO.9-5mdk
- fix group
- add post & postun sections 

* Fri Nov 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- make install DESTDIR
- SMP check/build macro
- add defattr

* Thu Aug  5 1999 Bernhard Rosenkraenzer <bero@ms-windows-2000.com>
- fix compilation with {p,}gcc 2.95

* Fri Apr 30 1999 Alexandre dussart <adussart@linux-mandrake.com>
- Mandrake compliant
- French translation
